<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddSipTrunkSecurityProfileReq StructType
 * @subpackage Structs
 */
class AddSipTrunkSecurityProfileReq extends APIRequest
{
    /**
     * The sipTrunkSecurityProfile
     * @var XSipTrunkSecurityProfile
     */
    public $sipTrunkSecurityProfile;
    /**
     * Constructor method for AddSipTrunkSecurityProfileReq
     * @uses AddSipTrunkSecurityProfileReq::setSipTrunkSecurityProfile()
     * @param XSipTrunkSecurityProfile $sipTrunkSecurityProfile
     */
    public function __construct(XSipTrunkSecurityProfile $sipTrunkSecurityProfile = null)
    {
        $this
            ->setSipTrunkSecurityProfile($sipTrunkSecurityProfile);
    }
    /**
     * Get sipTrunkSecurityProfile value
     * @return XSipTrunkSecurityProfile|null
     */
    public function getSipTrunkSecurityProfile()
    {
        return $this->sipTrunkSecurityProfile;
    }
    /**
     * Set sipTrunkSecurityProfile value
     * @param XSipTrunkSecurityProfile $sipTrunkSecurityProfile
     * @return AddSipTrunkSecurityProfileReq
     */
    public function setSipTrunkSecurityProfile(XSipTrunkSecurityProfile $sipTrunkSecurityProfile = null)
    {
        $this->sipTrunkSecurityProfile = $sipTrunkSecurityProfile;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return AddSipTrunkSecurityProfileReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
